- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# VOL_lp Class Reference

`#include <lpc.h>`

Collaboration diagram for VOL_lp:

[legend]
List of all members.

## Public Member Functions
| VOL_lp ()
| ~VOL_lp ()
void | build_col (int row, double el)
void | rhs (int row, double lb, double ub)
void | finish_up ()
int | n_cols ()
void | set_nrows (const int n)
void | intcol (int j)
void | addobj (double xx)
void | addel (int row, double el)
void | startcol ()
void | ub (const int i, const double x)
void | lb (const int i, const double x)
void | init_bounds (const int n)
## Public Attributes
int | ncols
int | nrows
int | nels
int | maxcols
int | nints
VOL_ivector | mrow
VOL_ivector | mcstrt
VOL_dvector | dels
VOL_dvector | dcost
VOL_dvector | dloc
VOL_dvector | dupc
VOL_dvector | dlor
VOL_dvector | dupr
VOL_ivector | intnums
VOL_ivector | check_col
vector< int > | mr
vector< int > | mc
vector< double > | els
vector< double > | cost

## Detailed Description

Definition at line 9 of file lpc.h.

## Constructor & Destructor Documentation

VOL_lp::VOL_lp | ( |  | ) |

VOL_lp::~VOL_lp | ( |  | ) | `[inline]`

Definition at line 28 of file lpc.h.

## Member Function Documentation

void VOL_lp::build_col | ( | int | row,
|  | double | el |
| ) |  |  |

void VOL_lp::rhs | ( | int | row,
|  | double | lb,
|  | double | ub |
| ) |  |  |

void VOL_lp::finish_up | ( |  | ) |

int VOL_lp::n_cols | ( |  | ) | `[inline]`

Definition at line 32 of file lpc.h.

References ncols.

void VOL_lp::set_nrows | ( | const int | n | ) |

void VOL_lp::intcol | ( | int | j | ) |

void VOL_lp::addobj | ( | double | xx | ) |

void VOL_lp::addel | ( | int | row,
|  | double | el |
| ) |  |  |

void VOL_lp::startcol | ( |  | ) |

void VOL_lp::ub | ( | const int | i,
|  | const double | x |
| ) |  |  |

void VOL_lp::lb | ( | const int | i,
|  | const double | x |
| ) |  |  |

void VOL_lp::init_bounds | ( | const int | n | ) |

## Member Data Documentation

int VOL_lp::ncols

Definition at line 11 of file lpc.h.

Referenced by n_cols().

int VOL_lp::nrows

Definition at line 11 of file lpc.h.

int VOL_lp::nels

Definition at line 11 of file lpc.h.

int VOL_lp::maxcols

Definition at line 12 of file lpc.h.

int VOL_lp::nints

Definition at line 12 of file lpc.h.

VOL_ivector VOL_lp::mrow

Definition at line 13 of file lpc.h.

VOL_ivector VOL_lp::mcstrt

Definition at line 14 of file lpc.h.

VOL_dvector VOL_lp::dels

Definition at line 15 of file lpc.h.

VOL_dvector VOL_lp::dcost

Definition at line 16 of file lpc.h.

VOL_dvector VOL_lp::dloc

Definition at line 17 of file lpc.h.

VOL_dvector VOL_lp::dupc

Definition at line 18 of file lpc.h.

VOL_dvector VOL_lp::dlor

Definition at line 19 of file lpc.h.

VOL_dvector VOL_lp::dupr

Definition at line 20 of file lpc.h.

VOL_ivector VOL_lp::intnums

Definition at line 21 of file lpc.h.

VOL_ivector VOL_lp::check_col

Definition at line 22 of file lpc.h.

vector<int> VOL_lp::mr

Definition at line 23 of file lpc.h.

vector<int> VOL_lp::mc

Definition at line 24 of file lpc.h.

vector<double> VOL_lp::els

Definition at line 25 of file lpc.h.

vector<double> VOL_lp::cost

Definition at line 26 of file lpc.h.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/Vol/examples/Volume-LP/lpc.h